Name:           seivot
Version:        1.16
Release:        2%{?dist}
Summary:        Benchmarking tool for backup programs

License:        GPLv3+
URL:            http://liw.fi/%{name}/
Source0:        http://ftp.debian.org/debian/pool/main/s/%{name}/%{name}_%{version}.orig.tar.gz
# sent to upstream
Patch0:         %{name}-1.16-add_seivots-to-csv_script.patch

BuildArch:      noarch
BuildRequires:  python-cliapp
Requires:       python-cliapp

%description
Seivot is a program for benchmarking backup software. It was written
for developing Obnam, but it should be possible to adapt it to also
support other on-disk backup solutions, such as rsync or rdiff-backup.


%prep
%setup -q
%patch0 -p0 -b .add_seivots-to-csv_script


%build
%{__python} setup.py build
# Generate manpages
make


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
# install manpages
%{__mkdir_p} %{buildroot}%{_mandir}/man1
%{__cp} -pr seivot*.1 %{buildroot}%{_mandir}/man1/


%check
# doesn't actually do anything at the moment
%{__python} setup.py check


%files
%doc COPYING NEWS README
%{_mandir}/man1/seivot*.1*
%{_bindir}/seivot*
%{python_sitelib}/*


%changelog
* Thu Jun  7 2012 Michel Salim <salimma@fedoraproject.org> - 1.16-2
- Remove deprecated %%{python_sitelib} definition
- Include seivots-to-csv script

* Sun Jun  3 2012 Michel Salim <salimma@fedoraproject.org> - 1.16-1
- Initial package
